Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network34.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
34.0.0.0
Broadcast address
34.255.255.255
First usable
34.0.0.1
Last usable
34.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 22000000 · Integer 570425344 to 587202559
Reverse DNS zone
34.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100010..00000000.00000000.0000000034.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network00100010..00000000.00000000.0000000034.0.0.0
Broadcast00100010..11111111.11111111.1111111134.255.255.255
Split into smaller subnets/15

34.0.0.0/8 makes 128 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
134.0.0.0/1534.0.0.1 to 34.1.255.25434.1.255.255131,070
234.2.0.0/1534.2.0.1 to 34.3.255.25434.3.255.255131,070
334.4.0.0/1534.4.0.1 to 34.5.255.25434.5.255.255131,070
434.6.0.0/1534.6.0.1 to 34.7.255.25434.7.255.255131,070
534.8.0.0/1534.8.0.1 to 34.9.255.25434.9.255.255131,070
634.10.0.0/1534.10.0.1 to 34.11.255.25434.11.255.255131,070
734.12.0.0/1534.12.0.1 to 34.13.255.25434.13.255.255131,070
834.14.0.0/1534.14.0.1 to 34.15.255.25434.15.255.255131,070
934.16.0.0/1534.16.0.1 to 34.17.255.25434.17.255.255131,070
1034.18.0.0/1534.18.0.1 to 34.19.255.25434.19.255.255131,070
1134.20.0.0/1534.20.0.1 to 34.21.255.25434.21.255.255131,070
1234.22.0.0/1534.22.0.1 to 34.23.255.25434.23.255.255131,070
1334.24.0.0/1534.24.0.1 to 34.25.255.25434.25.255.255131,070
1434.26.0.0/1534.26.0.1 to 34.27.255.25434.27.255.255131,070
1534.28.0.0/1534.28.0.1 to 34.29.255.25434.29.255.255131,070
1634.30.0.0/1534.30.0.1 to 34.31.255.25434.31.255.255131,070
1734.32.0.0/1534.32.0.1 to 34.33.255.25434.33.255.255131,070
1834.34.0.0/1534.34.0.1 to 34.35.255.25434.35.255.255131,070
1934.36.0.0/1534.36.0.1 to 34.37.255.25434.37.255.255131,070
2034.38.0.0/1534.38.0.1 to 34.39.255.25434.39.255.255131,070
2134.40.0.0/1534.40.0.1 to 34.41.255.25434.41.255.255131,070
2234.42.0.0/1534.42.0.1 to 34.43.255.25434.43.255.255131,070
2334.44.0.0/1534.44.0.1 to 34.45.255.25434.45.255.255131,070
2434.46.0.0/1534.46.0.1 to 34.47.255.25434.47.255.255131,070
2534.48.0.0/1534.48.0.1 to 34.49.255.25434.49.255.255131,070
2634.50.0.0/1534.50.0.1 to 34.51.255.25434.51.255.255131,070
2734.52.0.0/1534.52.0.1 to 34.53.255.25434.53.255.255131,070
2834.54.0.0/1534.54.0.1 to 34.55.255.25434.55.255.255131,070
2934.56.0.0/1534.56.0.1 to 34.57.255.25434.57.255.255131,070
3034.58.0.0/1534.58.0.1 to 34.59.255.25434.59.255.255131,070
3134.60.0.0/1534.60.0.1 to 34.61.255.25434.61.255.255131,070
3234.62.0.0/1534.62.0.1 to 34.63.255.25434.63.255.255131,070
3334.64.0.0/1534.64.0.1 to 34.65.255.25434.65.255.255131,070
3434.66.0.0/1534.66.0.1 to 34.67.255.25434.67.255.255131,070
3534.68.0.0/1534.68.0.1 to 34.69.255.25434.69.255.255131,070
3634.70.0.0/1534.70.0.1 to 34.71.255.25434.71.255.255131,070
3734.72.0.0/1534.72.0.1 to 34.73.255.25434.73.255.255131,070
3834.74.0.0/1534.74.0.1 to 34.75.255.25434.75.255.255131,070
3934.76.0.0/1534.76.0.1 to 34.77.255.25434.77.255.255131,070
4034.78.0.0/1534.78.0.1 to 34.79.255.25434.79.255.255131,070
4134.80.0.0/1534.80.0.1 to 34.81.255.25434.81.255.255131,070
4234.82.0.0/1534.82.0.1 to 34.83.255.25434.83.255.255131,070
4334.84.0.0/1534.84.0.1 to 34.85.255.25434.85.255.255131,070
4434.86.0.0/1534.86.0.1 to 34.87.255.25434.87.255.255131,070
4534.88.0.0/1534.88.0.1 to 34.89.255.25434.89.255.255131,070
4634.90.0.0/1534.90.0.1 to 34.91.255.25434.91.255.255131,070
4734.92.0.0/1534.92.0.1 to 34.93.255.25434.93.255.255131,070
4834.94.0.0/1534.94.0.1 to 34.95.255.25434.95.255.255131,070
4934.96.0.0/1534.96.0.1 to 34.97.255.25434.97.255.255131,070
5034.98.0.0/1534.98.0.1 to 34.99.255.25434.99.255.255131,070
5134.100.0.0/1534.100.0.1 to 34.101.255.25434.101.255.255131,070
5234.102.0.0/1534.102.0.1 to 34.103.255.25434.103.255.255131,070
5334.104.0.0/1534.104.0.1 to 34.105.255.25434.105.255.255131,070
5434.106.0.0/1534.106.0.1 to 34.107.255.25434.107.255.255131,070
5534.108.0.0/1534.108.0.1 to 34.109.255.25434.109.255.255131,070
5634.110.0.0/1534.110.0.1 to 34.111.255.25434.111.255.255131,070
5734.112.0.0/1534.112.0.1 to 34.113.255.25434.113.255.255131,070
5834.114.0.0/1534.114.0.1 to 34.115.255.25434.115.255.255131,070
5934.116.0.0/1534.116.0.1 to 34.117.255.25434.117.255.255131,070
6034.118.0.0/1534.118.0.1 to 34.119.255.25434.119.255.255131,070
6134.120.0.0/1534.120.0.1 to 34.121.255.25434.121.255.255131,070
6234.122.0.0/1534.122.0.1 to 34.123.255.25434.123.255.255131,070
6334.124.0.0/1534.124.0.1 to 34.125.255.25434.125.255.255131,070
6434.126.0.0/1534.126.0.1 to 34.127.255.25434.127.255.255131,070
6534.128.0.0/1534.128.0.1 to 34.129.255.25434.129.255.255131,070
6634.130.0.0/1534.130.0.1 to 34.131.255.25434.131.255.255131,070
6734.132.0.0/1534.132.0.1 to 34.133.255.25434.133.255.255131,070
6834.134.0.0/1534.134.0.1 to 34.135.255.25434.135.255.255131,070
6934.136.0.0/1534.136.0.1 to 34.137.255.25434.137.255.255131,070
7034.138.0.0/1534.138.0.1 to 34.139.255.25434.139.255.255131,070
7134.140.0.0/1534.140.0.1 to 34.141.255.25434.141.255.255131,070
7234.142.0.0/1534.142.0.1 to 34.143.255.25434.143.255.255131,070
7334.144.0.0/1534.144.0.1 to 34.145.255.25434.145.255.255131,070
7434.146.0.0/1534.146.0.1 to 34.147.255.25434.147.255.255131,070
7534.148.0.0/1534.148.0.1 to 34.149.255.25434.149.255.255131,070
7634.150.0.0/1534.150.0.1 to 34.151.255.25434.151.255.255131,070
7734.152.0.0/1534.152.0.1 to 34.153.255.25434.153.255.255131,070
7834.154.0.0/1534.154.0.1 to 34.155.255.25434.155.255.255131,070
7934.156.0.0/1534.156.0.1 to 34.157.255.25434.157.255.255131,070
8034.158.0.0/1534.158.0.1 to 34.159.255.25434.159.255.255131,070
8134.160.0.0/1534.160.0.1 to 34.161.255.25434.161.255.255131,070
8234.162.0.0/1534.162.0.1 to 34.163.255.25434.163.255.255131,070
8334.164.0.0/1534.164.0.1 to 34.165.255.25434.165.255.255131,070
8434.166.0.0/1534.166.0.1 to 34.167.255.25434.167.255.255131,070
8534.168.0.0/1534.168.0.1 to 34.169.255.25434.169.255.255131,070
8634.170.0.0/1534.170.0.1 to 34.171.255.25434.171.255.255131,070
8734.172.0.0/1534.172.0.1 to 34.173.255.25434.173.255.255131,070
8834.174.0.0/1534.174.0.1 to 34.175.255.25434.175.255.255131,070
8934.176.0.0/1534.176.0.1 to 34.177.255.25434.177.255.255131,070
9034.178.0.0/1534.178.0.1 to 34.179.255.25434.179.255.255131,070
9134.180.0.0/1534.180.0.1 to 34.181.255.25434.181.255.255131,070
9234.182.0.0/1534.182.0.1 to 34.183.255.25434.183.255.255131,070
9334.184.0.0/1534.184.0.1 to 34.185.255.25434.185.255.255131,070
9434.186.0.0/1534.186.0.1 to 34.187.255.25434.187.255.255131,070
9534.188.0.0/1534.188.0.1 to 34.189.255.25434.189.255.255131,070
9634.190.0.0/1534.190.0.1 to 34.191.255.25434.191.255.255131,070
9734.192.0.0/1534.192.0.1 to 34.193.255.25434.193.255.255131,070
9834.194.0.0/1534.194.0.1 to 34.195.255.25434.195.255.255131,070
9934.196.0.0/1534.196.0.1 to 34.197.255.25434.197.255.255131,070
10034.198.0.0/1534.198.0.1 to 34.199.255.25434.199.255.255131,070
10134.200.0.0/1534.200.0.1 to 34.201.255.25434.201.255.255131,070
10234.202.0.0/1534.202.0.1 to 34.203.255.25434.203.255.255131,070
10334.204.0.0/1534.204.0.1 to 34.205.255.25434.205.255.255131,070
10434.206.0.0/1534.206.0.1 to 34.207.255.25434.207.255.255131,070
10534.208.0.0/1534.208.0.1 to 34.209.255.25434.209.255.255131,070
10634.210.0.0/1534.210.0.1 to 34.211.255.25434.211.255.255131,070
10734.212.0.0/1534.212.0.1 to 34.213.255.25434.213.255.255131,070
10834.214.0.0/1534.214.0.1 to 34.215.255.25434.215.255.255131,070
10934.216.0.0/1534.216.0.1 to 34.217.255.25434.217.255.255131,070
11034.218.0.0/1534.218.0.1 to 34.219.255.25434.219.255.255131,070
11134.220.0.0/1534.220.0.1 to 34.221.255.25434.221.255.255131,070
11234.222.0.0/1534.222.0.1 to 34.223.255.25434.223.255.255131,070
11334.224.0.0/1534.224.0.1 to 34.225.255.25434.225.255.255131,070
11434.226.0.0/1534.226.0.1 to 34.227.255.25434.227.255.255131,070
11534.228.0.0/1534.228.0.1 to 34.229.255.25434.229.255.255131,070
11634.230.0.0/1534.230.0.1 to 34.231.255.25434.231.255.255131,070
11734.232.0.0/1534.232.0.1 to 34.233.255.25434.233.255.255131,070
11834.234.0.0/1534.234.0.1 to 34.235.255.25434.235.255.255131,070
11934.236.0.0/1534.236.0.1 to 34.237.255.25434.237.255.255131,070
12034.238.0.0/1534.238.0.1 to 34.239.255.25434.239.255.255131,070
12134.240.0.0/1534.240.0.1 to 34.241.255.25434.241.255.255131,070
12234.242.0.0/1534.242.0.1 to 34.243.255.25434.243.255.255131,070
12334.244.0.0/1534.244.0.1 to 34.245.255.25434.245.255.255131,070
12434.246.0.0/1534.246.0.1 to 34.247.255.25434.247.255.255131,070
12534.248.0.0/1534.248.0.1 to 34.249.255.25434.249.255.255131,070
12634.250.0.0/1534.250.0.1 to 34.251.255.25434.251.255.255131,070
12734.252.0.0/1534.252.0.1 to 34.253.255.25434.253.255.255131,070
12834.254.0.0/1534.254.0.1 to 34.255.255.25434.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses